This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 470737 - (pen) Review Request: pen - Load balancer for "simple" tcp based protocols such as http or smtp
Review Request: pen - Load balancer for "simple" tcp based protocols such as ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 15:46 EST by Itamar Reis Peixoto
Modified: 2014-01-27 07:58 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-24 13:45:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Itamar Reis Peixoto 2008-11-09 15:46:19 EST
Spec URL: http://ispbrasil.com.br/pen/pen.spec
SRPM URL: http://ispbrasil.com.br/pen/pen-0.18.0-1.fc8.src.rpm
Description: 

This is pen, a load balancer for "simple" tcp based protocols such as http or
smtp. It allows several servers to appear as one to the outside and
automatically detects servers that are down and distributes clients among the
available servers. This gives high availability and scalable performance.
Comment 1 Fabian Affolter 2008-11-11 19:14:22 EST
While fixing the encoding you don't preserve the timestamps.

https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps
Comment 3 Fabian Affolter 2008-12-13 08:59:08 EST
Package Review

==============



Key:

 - = N/A

 x = Check

 ! = Problem

 ? = Not evaluated



=== REQUIRED ITEMS ===

 [x] Package is named according to the Package Naming Guidelines.

 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.

 [x] Package meets the Packaging Guidelines

 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.

     Tested on: F9/i386 
 [x] Rpmlint output:

     Source RPM:


     [fab@laptop024 SRPMS]$ rpmlint pen-0.18.0-2.fc10.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     Binary RPM(s):


     [fab@laptop024 i386]$ rpmlint pen*
     2 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [x] Package is not relocatable.

 [x] Buildroot is correct

     master   : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

     spec file: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

 [X] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.

 [x] License field in the package spec file matches the actual license.

     License type: GPLv2

 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.



 [x] Spec file is legible and written in American English.

 [x] Sources used to build the package matches the upstream source, as provided in the spec URL.

     Upstream source: 
96f6d39e7e7cca11a647e795550f3829  pen-0.18.0.tar.gz
     Build source:    
96f6d39e7e7cca11a647e795550f3829  pen-0.18.0.tar.gz
 [x] Package is not known to require ExcludeArch.

 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.

 [-] The spec file handles locales properly.  %find_lang used for locales.

 [x] %{optflags} or RPM_OPT_FLAGS are honoured.

 [-] ldconfig called in %post and %postun if required.

 [x] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT.

 [x] Package must own all directories that it creates.

 [x] Package requires other packages for directories it uses.

 [x] Package does not own files or directories owned by other packages.

 [x] Package does not contain duplicates in %files.

 [x] Permissions on files are set properly. %defattr(-,root,root,-) is in every %files section.

 [x] Package uses nothing in %doc for runtime.

 [x] Package has a %clean section, which contains rm -rf %{buildroot} or $RPM_BUILD_ROOT.

 [x] Package consistently uses macros.

 [x] Package contains code, or permissable content.



 [-] Large documentation files are in a -doc subpackage, if required.

 [-] Header files in -devel subpackage, if present.

 [-] Fully versioned dependency in subpackage, if present.

 [-] Static libraries in -devel subpackage, if present.

 [-] Package requires pkgconfig, if .pc files are present.

 [-] Development .so files in -devel subpackage, if present.

 [-] Package does not contain any libtool archives (.la).

 [x] -debuginfo subpackage is present and looks complete.

 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.



=== SUGGESTED ITEMS ===

 [x] Timestamps preserved with cp and install.

 [x] Uses parallel make (%{?_smp_mflags})

 [x] Latest version is packaged.

 [x] Package does not include license text files separate from upstream.

 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.

 [x] Reviewer should test that the package builds in mock.

     Tested on: F9/i386

 [x] Package should compile and build into binary RPMs on all supported architectures.

     Tested on: 

       [x] F10/i386 
http://koji.fedoraproject.org/koji/taskinfo?taskID=996602
 [-] Package functions as described.

 [!] Scriptlets must be sane, if used.

 [-] The placement of pkgconfig(.pc) files is correct.

 [-] File based requires are sane.

 [x] Changelog in allowed format



Some remarks:

- Don't mix $RPM_BUILD_ROOT and %{buildroot}
  https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS

- You should report upstream about the missing pen.conf in the release tarball.

- What's about a restart of apache after the installation?
  https://fedoraproject.org/wiki/Packaging/SysVInitScript
Comment 4 Itamar Reis Peixoto 2008-12-18 15:39:46 EST
> Some remarks:
> 
> - Don't mix $RPM_BUILD_ROOT and %{buildroot}
fixed

-%{__chmod} 0644 $RPM_BUILD_DIR/%{name}-%{version}/penstats
+%{__chmod} 0644 %{_builddir}/%{name}-%{version}/penstats

 
> https://fedoraproject.org/wiki/Packaging/Guidelines#Using_.25.7Bbuildroot.7D_and_.25.7Boptflags.7D_vs_.24RPM_BUILD_ROOT_and_.24RPM_OPT_FLAGS
> 
> - You should report upstream about the missing pen.conf in the release tarball.

the pen.conf file in /etc/httpd/conf.d/ is inside .spec file in pen tarball, but I have put it ouside spec file to make it more compatible with fedora and make this spec file clean.

> - What's about a restart of apache after the installation?
>   https://fedoraproject.org/wiki/Packaging/SysVInitScript

the penctl.cgi cgi is basically for statistics, I will let it without restarting apache for the moment.

here are the lasted version..

http://ispbrasil.com.br/pen/pen.spec
http://ispbrasil.com.br/pen/pen-0.18.0-3.fc10.src.rpm
Comment 5 Fabian Affolter 2008-12-19 07:34:17 EST
(In reply to comment #4)
> > - You should report upstream about the missing pen.conf in the release tarball.
> 
> the pen.conf file in /etc/httpd/conf.d/ is inside .spec file in pen tarball,
> but I have put it ouside spec file to make it more compatible with fedora and
> make this spec file clean.

OK

> > - What's about a restart of apache after the installation?
> >   https://fedoraproject.org/wiki/Packaging/SysVInitScript
> 
> the penctl.cgi cgi is basically for statistics, I will let it without
> restarting apache for the moment.

OK

I see no further blocker, package APPROVED
Comment 6 Itamar Reis Peixoto 2008-12-19 07:57:59 EST
New Package CVS Request
=======================
Package Name: pen
Short Description: Load balancer for "simple" tcp based protocols such as http or smtp
Owners: itamarjp
Branches: F-10 F-9
InitialCC:
Comment 7 Kevin Fenzi 2008-12-20 23:07:53 EST
cvs done.
Comment 8 Fedora Update System 2008-12-21 15:26:13 EST
pen-0.18.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/pen-0.18.0-3.fc10
Comment 9 Fedora Update System 2008-12-24 13:45:55 EST
pen-0.18.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Itamar Reis Peixoto 2009-10-24 16:03:17 EDT
Package Change Request
======================
Package Name: pen
New Branches: EL-4 EL-5
Owners: itamarjp
Comment 11 Kevin Fenzi 2009-10-26 16:19:23 EDT
cvs done.
Comment 12 Christopher Meng 2014-01-26 20:16:29 EST
Package Change Request
======================
Package Name: pen
New Branches: epel7
Owners: cicku
Comment 13 Jon Ciesla 2014-01-27 07:58:14 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.